Skip to main content

Get Company Details

POST /api/v1/get_company_details

This API fetches detailed information about a company using its LinkedIn universal name.

The company_name can be obtained by calling the /api/v1/get_profile_details API. In the response, the experience field is an array of objects, each containing a universal_name of the company, which should be used as the company_name in this API request.

Request Body example:

{
"accountId": "string",
"company_name": "string"
}

Successful response returns detailed company information including name, description, location, follower count, and more.

Headers​

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body​

Schema​

accountIdstringrequiredThe unique identifier of the WeLink account.
company_namestringrequiredThe name of the company.

Sample Request​

{
"accountId": "string",
"company_name": "string"
}

Responses​

Webhook Events​

Schema​

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
POST/api/v1/get_company_details
x-api-key
x-api-secret